V1 and V2Products (V2 beta)
Remove products from a relationship
Remove products from an existing relationship
Note: If the payload includes a product that doesn't exist or is not linked to the product, it will be silently ignored. No error will be returned, as the system avoids extra processing to check for product validity.
A 204 No Content status code is returned upon success
Request format
Request format is a dictionary with "product_relationships" as key, and a list of relatiosnhips to unlik as value.
Ids that does not belong the relationship in that product will be ignored
Authorization
bearerAuth AuthorizationBearer <token>
Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.
In: header
Path Parameters
product_id*string
relationship_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X DELETE 'https://example.com/api/v2/products/string/relationships/string' \ -H 'Content-Type: application/json' \ --data-raw '{ "product_relationships": [ "671b9614919135f2b585e0z2", "671b9614919135f2b585e0c3" ]}'{}